import moment from 'moment';
import faker from 'faker';
import { CODE_PLATEFORME } from '../../constants/canal';

export const createCanalArticleVariables = () => ({
  qteStock: faker.random.number(50),
  qteMin: faker.random.number(10),
  stv: faker.random.number(10),
  unitePetitCond: faker.random.number(5),
  uniteSupCond: faker.random.number(20),
  flagBlocage: `${faker.random.number(1)}`,
  prixFab: faker.random.number(5000),
  prixPhv: faker.random.number(6000),
  prixTtc: faker.random.number(8000),
  typeCodeReferent: 'CIP13',
  codeReference: `${faker.random.number(1000000080)}`,
  codeCanalCommande: CODE_PLATEFORME,
  dateCreation: moment().format(),
  dateModification: moment().format(),
  idCanalSousGamme: 1,
  codeGammeSousCatalogue: 355,
  libelle: faker.lorem.word().toUpperCase(),
  codeTva: '3',
  pxAchatArticle: faker.random.number(2000),
  pxVenteArticle: faker.random.number(3000),
  codeTableau: 'C',
  codeMarge: '40',
  codeForme: '2',
  codeStockage: '3',
  codeRbtArticle: '4',
  codeActe: 2,
  codeLaboratoire: '0027',
  codeFamille: 'AAAD',
  generiqArticle: faker.random.number(1),
  carteFidelite: faker.random.number(1),
});
